package com.cooleshow.base.data.net;

import android.util.Log;

import com.cooleshow.base.utils.JsonUtil;

import okhttp3.logging.HttpLoggingInterceptor;

public class HttpLogger implements HttpLoggingInterceptor.Logger {
        @Override
        public void log(String msg) {
            if ((msg.startsWith("{") && msg.endsWith("}"))
                    || (msg.startsWith("[") && msg.endsWith("]"))) {
                msg = JsonUtil.formatJson(JsonUtil.decodeUnicode(msg));
            }
            Log.i("HttpLogInfo", msg);
        }
    }
